Package picard.sam.SamErrorMetric

# Class ReadBaseStratification.BinnedReadCycleStratifier

java.lang.Object
picard.sam.SamErrorMetric.ReadBaseStratification.BinnedReadCycleStratifier

All Implemented Interfaces:
  `ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.CycleBin>`

Enclosing class:
  ReadBaseStratification

public static class ReadBaseStratification.BinnedReadCycleStratifier extends Object implements ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.CycleBin>
Stratifies into quintiles of read cycle.

## Constructor Summary

Constructors
Constructor
Description
`BinnedReadCycleStratifier()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSuffix()`
`ReadBaseStratification.CycleBin`
`stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinnedReadCycleStratifier

public BinnedReadCycleStratifier()

## Method Details

### stratify

public ReadBaseStratification.CycleBin stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

Specified by:
  `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.CycleBin>`

### getSuffix

public String getSuffix()

Specified by:
  `getSuffix` in interface `ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.CycleBin>`